# Class PageAttributes.PrintQualityType

java.lang.Object
java.awt.PageAttributes.PrintQualityType

Enclosing class:
  `PageAttributes`

public static final class PageAttributes.PrintQualityType extends Object
A type-safe enumeration of possible print qualities. These print qualities are in compliance with IPP 1.1.

Since:
  1.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PageAttributes.PrintQualityType`
`DRAFT`
The PrintQualityType instance to use for specifying a draft print quality.
`static final PageAttributes.PrintQualityType`
`HIGH`
The PrintQualityType instance to use for specifying a high print quality.
`static final PageAttributes.PrintQualityType`
`NORMAL`
The PrintQualityType instance to use for specifying a normal print quality.

## Method Summary

Modifier and Type
Method
Description
`int`
`hashCode()`
Returns a hash code value for this object.
`String`
`toString()`
Returns a string representation of the object.

### Methods declared in class Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### HIGH

public static final PageAttributes.PrintQualityType HIGH
The PrintQualityType instance to use for specifying a high print quality.

### NORMAL

public static final PageAttributes.PrintQualityType NORMAL
The PrintQualityType instance to use for specifying a normal print quality.

### DRAFT

public static final PageAttributes.PrintQualityType DRAFT
The PrintQualityType instance to use for specifying a draft print quality.

## Method Details

### hashCode

public int hashCode()
Description copied from class: `Object`
Returns a hash code value for this object. This method is supported for the benefit of hash tables such as those provided by `HashMap`.

The general contract of `hashCode` is:

- Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
- If two objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
- It is not required that if two objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hash tables.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this object
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(Object)`

### toString

public String toString()
Description copied from class: `Object`
Returns a string representation of the object. Satisfying this method's contract implies a non-`null` result must be returned.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object